This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989905 - [abrt] audit-2.2.2-2.fc17: __asprintf_chk: Process /usr/sbin/audispd was killed by signal 4 (SIGILL)
[abrt] audit-2.2.2-2.fc17: __asprintf_chk: Process /usr/sbin/audispd was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
abrt_hash:414d2cff39f7de2eefc70be2967...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 03:08 EDT by deardevildevid
Modified: 2013-08-01 06:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:50:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (208.72 KB, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: cgroup (158 bytes, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: core_backtrace (297 bytes, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: dso_list (296 bytes, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: environ (146 bytes, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: maps (1.37 KB, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: open_fds (135 bytes, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details
File: proc_pid_status (749 bytes, text/plain)
2013-07-30 03:09 EDT, deardevildevid
no flags Details

  None (edit)
Description deardevildevid 2013-07-30 03:08:39 EDT
Version-Release number of selected component:
audit-2.2.2-2.fc17

Additional info:
backtrace_rating: 4
cmdline:        /sbin/audispd
crash_function: __asprintf_chk
executable:     /usr/sbin/audispd
kernel:         3.9.8-100.fc17.i686.PAE
last_occurrence: 1375158180
runlevel:       unknown
uid:            0
ureports_counter: 1
var_log_messages: Jul  8 09:45:44 Comp abrt[1287]: Saved core dump of pid 657 (/usr/sbin/audispd) to /var/spool/abrt/ccpp-2013-07-08-09:45:44-657 (8900608 bytes)

Truncated backtrace:
Thread no. 1 (3 frames)
 #2 __asprintf_chk at asprintf_chk.c:34
 #3 asprintf at /usr/include/bits/stdio2.h:158
 #4 event_loop at audispd.c:610

Potential duplicate: bug 756058
Comment 1 deardevildevid 2013-07-30 03:09:10 EDT
Created attachment 780372 [details]
File: backtrace
Comment 2 deardevildevid 2013-07-30 03:09:19 EDT
Created attachment 780373 [details]
File: cgroup
Comment 3 deardevildevid 2013-07-30 03:09:24 EDT
Created attachment 780374 [details]
File: core_backtrace
Comment 4 deardevildevid 2013-07-30 03:09:28 EDT
Created attachment 780375 [details]
File: dso_list
Comment 5 deardevildevid 2013-07-30 03:09:34 EDT
Created attachment 780376 [details]
File: environ
Comment 6 deardevildevid 2013-07-30 03:09:38 EDT
Created attachment 780377 [details]
File: limits
Comment 7 deardevildevid 2013-07-30 03:09:45 EDT
Created attachment 780378 [details]
File: maps
Comment 8 deardevildevid 2013-07-30 03:09:50 EDT
Created attachment 780379 [details]
File: open_fds
Comment 9 deardevildevid 2013-07-30 03:09:56 EDT
Created attachment 780380 [details]
File: proc_pid_status
Comment 10 Steve Grubb 2013-07-30 16:04:29 EDT
When a process is terminated by SIGILL, that means it took a bad branch due to hardware problem or memory was corrupted. Either way, its not an audit problem. I'd like to close this bug report if there's no objections.
Comment 11 Fedora End Of Life 2013-08-01 06:51:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.